# WIZ750SR
WIZnet Serial to Ethernet(S2E) module based on W7500 chip, WIZ107/108SR S2E compatible device

- 48(W) x 30mm(L) x 18mm(H)
<!-- WIZ750SR pic -->
![WIZ750SR](http://wizwiki.net/wiki/lib/exe/fetch.php?media=products:wiz750sr:wiz750sr_rev1.0_main_1024x693.png "WIZ750SR")
 
 
## WIZ750SR EVB (Separate purchases)

- WIZ750SR Developer Board.
- USB to UART chip, CP2104.
- RESET Tact SW.
- BOOT0 Slide SW.
- H/W Trig Slide SW.
- Expansion GPIO TEST (Digital / Analog)
- Micro USB.
- WIZ750SR-EVB (TTL/RS232)
- RS-232C Connector, D-SUB9-MALE.
- WIZ750SR-EVB (RS422/485)
- RS-422/485 Connector, ECH381R.

<!-- WIZ750SR EVB pic -->
<p align="center">
  <img width="70%" src="http://wizwiki.net/wiki/lib/exe/fetch.php?media=products:wiz750sr:gettingstarted:wiz750sr-ttl-evb_1_1024x816.png" />
</p>
 
For more details, please refer to [WIZ750SR Wiki page](http://wizwiki.net/wiki/doku.php?id=products:wiz750sr:start) in [WIZnet Wiki](http://wizwiki.net).
 
 
## Features
- WIZnet W7500P Hardwired TCP/IP SoC chip
  - Hardwired TCP/IP Core
  - The one-chip solution which integrates an ARM Cortex-M0
  - Embedded PHY(IC plus IP101G)
  - Hardwired TCP/IP stack supports TCP, UDP, IPv4, ICMP, ARP, IGMP, and PPPoE protocols
  - Easy to implement the other network protocols
- Software and Hardware compatible with WIZ107/108SR S2E Module
- The modules is available in three versions:
  - WIZ750SR-TTL: TTL Version
  - WIZ750SR-RS232: RS-232 Version
  - WIZ750SR-RS485: RS-485/422 Version
- For more details ( http://wizwiki.net/wiki/doku.php?id=products:wiz750sr:start )
 
 
## Hardware material, Documents and Others
Various materials are could be found at [WIZ750SR Wiki page](http://wizwiki.net/wiki/doku.php?id=products:wiz750sr:start ) in [WIZnet Wiki](http://wizwiki.net).
- Documents
  - Overview
  - Getting Started Guide
  - User's Manual
  - Configuration Tool Manual
  - Command Manual
  - Trouble Shooting
- Technical Reference (Datasheet)
  - Hardware Specification
  - Electrical Characteristics
  - Reference Schematic & Parts
  - Dimension
 
 
## Software
These are Firmware projects (source code) based on Keil IDE for ARM (version 5)
- Firmware source code
  - Application (App)
  - Boot
- WIZ750SR operation manual
  - [WIZ750SR Command Manual](http://wizwiki.net/wiki/doku.php?id=products:wiz750sr:commandmanual:start)
  - [WIZ750SR Configuration Tool Manual](http://wizwiki.net/wiki/doku.php?id=products:wiz750sr:configtoolmanual:start)
 
 
## Tool
- [ISP Download Tool](http://wizwiki.net/wiki/lib/exe/fetch.php?media=products:wiz750sr:download:w7500_isp_20150401.zip)
- [Configuration Tool](http://wizwiki.net/wiki/lib/exe/fetch.php?tok=7ca6c9&media=http%3A%2F%2Fwww.wiznet.co.kr%2Fwp-content%2Fuploads%2Fwiznethome%2FS2E%2520Module%2FWIZ107_108SR%2FUtility%2FWIZ107_108_config_tool.zip)
- [WIZVSP](http://wizwiki.net/wiki/doku.php?id=products:wiz750sr:download:start) 
 
 
## Revision History
v1.1.0
- First release : 2016
